#!/bin/bash

# obsid 100000100 ~ 100000154
##压力测，保留后三位，前六位替换回原格式100000
#test_obsid=$1
#obsid="100000"${test_obsid:0-3:3}
###

# obsid 10160000000 -  10160000136
obsid=$1
#python /L1Pipeline/build/csst_l1/app/l1_mbi_tcc.py $obsid > /work/stdout 2> /work/stderr
l1-mbi --obs-id=$obsid --device=cpu --n-jobs=18 --n-jobs-gpu=18 --clean-l0 --clean-l1 --cleanup --dfs-node=pml --ver-sim=C6.2 --no-photometry --no-astrometry
exit_code=$?

echo "=====csst-l1ppl.log====" > /work/user-file.txt
cat /L1Pipeline/L1/csst-l1ppl.log >> /work/user-file.txt
echo "======csst-l1mod.log======" >> /work/user-file.txt
cat /L1Pipeline/L1/csst-l1mod.log|tail -n 100 >> /work/user-file.txt

rm -rf /L1Pipeline/L0/* /L1Pipeline/L1/*

mv /tmp/timestamps.txt /work/timestamps.txt

echo finish mbi.

exit $exit_code
